<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>ret('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento
				$NoDocSuEn=$_GET["NDocKp"] or $NoDocSuEn=$_POST["NDocKp"];
				$EtMasterEn=$_GET["EtMastKp"] or $EtMasterEn=$_POST["EtMastKp"];
				$ubic=$_GET["ubic"] or $ubic=$_POST["ubic"];
				$SkuAS=$_GET['sku'] or $SkuAS=$_POST['sku'];
				$ret=$_GET['ret'] or $ret=$_POST['ret'];
				$lote=$_GET['lote'] or $lote=$_POST['lote'];
				$lotep=$_GET['lotep'] or $lotep=$_POST['lotep'];
				$cantidad=$_GET['cantidad'] or $cantidad=$_POST['cantidad'];
				$tipo=$_GET['tipo'] or $tipo=$_POST['tipo'];
				$pallet=$_GET['pallet'] or $pallet=$_POST['pallet'];
				$acum=0;
				
				$tarea = mysql_query("SELECT * FROM tabla_tareas WHERE ID='$_GET[erase]'");
				$trx = mysql_fetch_array($tarea);
				if(isset($_GET['erase'])){
					//echo"<script>alert('Se creara un resurtido de la tarea $_GET[erase]')</script>";
					//exit();
					//ELIMINAR REGISTRO
					$updt = mysql_query("DELETE FROM tabla_tareas WHERE ID='$_GET[erase]'");
					}
				
				$sqlIDR1 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR1)>0)
				{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				$estcalidad=$registroIDR1["TIPO_SALIDA"];
				}
			$res=false;
			$borrar=false;
			if(((isset($_GET["ubic"])) or (isset($_POST["ubic"]))) and $ubic!=null){$add1="tabla_pickingfijo.CLAVEUBICACION = '$ubic' AND";}else{$add1="";}
			
			//$con = mysql_query("SELECT SUM(tabla_inventario.CANTIDAD) FROM tabla_inventario WHERE tabla_inventario.UBICACION = '$ubic' AND tabla_inventario.SKU='$SkuAS' AND tabla_inventario.EDO_CALIDAD='$estcalidad' AND tabla_inventario.CVE_BODEGA='$CveBodCR1' AND tabla_inventario.CVE_CUENTA='$CveCueCR1'");			
			//$exist = mysql_fetch_array($con);
			//if($exist[0]>$trx['CANT_XTAREA']){if($exist[0]>$trx['CANT_XSURTIR']){echo "<script>alert('Varios pallets, existencias suficientes')</script>";}else{echo "<script>alert('Varios pallets, existencias insuficientes')</script>";}exit();}
			
			$q="select tabla_prioridad.PRIORIDAD,tabla_pickingfijo.*,tabla_inventario.ID AS INVID,tabla_inventario.CAJASXPALLET,(SELECT SUM(tabla_inventario.cantidad) FROM tabla_inventario WHERE SKU = tabla_pickingfijo.SKU AND tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND tabla_inventario.SKU = tabla_pickingfijo.SKU AND tabla_inventario.CVE_CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_inventario.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA) AS CANTIDAD from tabla_pickingfijo inner join tabla_prioridad ON tabla_prioridad.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND tabla_pickingfijo.CVE_CUENTA = tabla_prioridad.CVE_CUENTA AND tabla_pickingfijo.CVE_BODEGA = tabla_prioridad.CVE_BODEGA inner join tabla_inventario ON tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND tabla_pickingfijo.SKU = tabla_inventario.SKU AND tabla_pickingfijo.CVE_CUENTA = tabla_inventario.CVE_CUENTA AND tabla_pickingfijo.CVE_BODEGA = tabla_inventario.CVE_BODEGA inner join tabla_inventario inv2 ON inv2.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND inv2.SKU = tabla_pickingfijo.SKU AND inv2.CVE_CUENTA = tabla_pickingfijo.CVE_CUENTA AND inv2.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA WHERE $add1 tabla_pickingfijo.SKU='$SkuAS' AND tabla_inventario.EDO_CALIDAD='$estcalidad' AND tabla_pickingfijo.CVE_BODEGA='$CveBodCR1' AND tabla_pickingfijo.CVE_CUENTA='$CveCueCR1' GROUP BY CONCAT( tabla_pickingfijo.CLAVEUBICACION, tabla_pickingfijo.SKU) ORDER BY tabla_pickingfijo.PRIORIDAD ASC";

			$sqlCR1 = mysql_query($q);
			$dta = mysql_fetch_array($sqlCR1);
			$cant=$dta['CANTIDAD'];
			if (mysql_numrows($sqlCR1)==0 or $cant==0){
				//echo "<script>alert('1')</script>";
				//echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoCreaTarea.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&pallet=$pallet&documento=$NoDocSuEn&etiqueta=$EtMasterEn&lote=$lote&lotep=$lotep&sku=$SkuAS&cantidad=$cantidad&back=".(urlencode("5-SurtidoAsigna.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$NoDocSuEn&etiqueta=$EtMasterEn&ciclo=x"))."'>"; exit();
				
				$palletorigen = mysql_query("SELECT * FROM tabla_inventario where SKU='$SkuAS' AND EDO_CALIDAD='$estcalidad' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND CANTIDAD>0 limit 1");
				
				if($palletorigen){
				$borrar=true;
				$pl = mysql_fetch_array($palletorigen);
				
				//////CREA PALLET
				//echo "<script>alert('Creando pallet')</script>";
				
				/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = date("Ymd");
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					$id_nuevoPPall=0;
					////Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					//////GUARDAR EL PALLET NUEVO EN LA TABLA INVENTARIO//////////
					$ArmadoDivision="1 pallet de 0 piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
					$XR=mysql_query("SELECT PZASXCAJA,CAJAXPALLET FROM tabla_altaproducto WHERE SKU='$SkuAS' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");
					$EE=mysql_fetch_array($XR);
					$piezasxcaja = $EE[0];
					$cajxpall = $EE[1];

					$priori=mysql_query("SELECT PRIORIDAD FROM tabla_prioridad WHERE UBICACION='$ubic' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'") or die(mysql_error());
					$pri=mysql_fetch_array($priori);
					
				$sqlDP = "insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA) values('PICKING','$id_nuevoPPall','$CveBodCR1','$CveCueCR1','$pl[NO_DOCUMENTO]','$pl[NO_DOC_COMPLE]','$SkuAS','$pl[SKU_ALT]','$pl[DESCRIPCION]','$pl[FECHA_ENTRADA]','0','$pl[LOTE]','$pl[LOTEWMS]','$pl[LOTEPRODU]','$pl[CADUCIDAD]','$pl[FACTURA]','$pl[PROVEEDOR]','$piezasxcaja','$cajxpall','$ArmadoDivision','$ClavePallet','$ubic','$pri[0]','$pl[EDO_CALIDAD]','$UsuEn','$HoraOK2','$FechaEnt')";

				//echo "<script>alert('$sqlDP')</script>";
					$resultadoDP=mysql_query($sqlDP,$conexion) or die(mysql_error());
					$updt=mysql_query("UPDATE tabla_tareas SET NO_PALLET='$ClavePallet' WHERE IDENTIFICADOR_SURTIDO='$tarea[ID]' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND ESTADO_TAREA='POR EJECUTAR'");
					//MSG ECHO "<script>alert('$sqlDP')</script>";

					/////Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					/////Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$CNPNoDocu','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
			
			$res=true;
			}else{$res=true;}
			//////TERMINA CREA PALLET
			}
			else{
				$res=true;
				}
			if($res){
			$tareas = array();
			$nt = 0;
			$sqlCR1 = mysql_query($q);
			while($pick = mysql_fetch_array($sqlCR1)){
			$repos = mysql_query("SELECT PZASXCAJA FROM tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND SKU='$SkuAS'");
			$pzasrep=mysql_fetch_array($repos);
			//if($pick['TIPO_RESURTIDO']=="Pieza"){$max=$pick['MAXIMO']/$pzasrep[0];}else{$max=$pick['MAXIMO'];}
			$max=$pick['MAXIMO'];
			$cantp = floor(abs($max-$pick['CANTIDAD']));
			//echo "<script>alert('pzasrep: $pzasrep[0], max: $max, cantp: $cantp, cantidad: $cantidad')</script>";
			//ECHO "<script>alert('MAXIMO: $max, CANTP: $cantp, pzas: $pzasrep[PZASXCAJA]')</script>";
			//ECHO "<script>alert('Se requieren $cantp')</script>";
			if ($cantidad >= $cantp){
				//echo "<script>alert('creartarea 2')</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoCreaTarea.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&pallet=$pallet&documento=$NoDocSuEn&etiqueta=$EtMasterEn&lote=$lote&lotep=$lotep&sku=$SkuAS&cantidad=$cantidad&back=".(urlencode("5-SurtidoAsigna.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$NoDocSuEn&etiqueta=$EtMasterEn&ciclo=x"))."'>";
				exit();
				}
				//config surt
			if(((isset($_GET["lote"])) or (isset($_POST["lote"]))) and $lote!=null){$add2=" AND LOTE = '$lote' ";}else{$add2="";}
			if(((isset($_GET["lotep"])) or (isset($_POST["lotep"]))) and $lotep!=null){$add3="AND LOTEPRODU = '$lotep' ";}else{$add3="";}
			
			if ($id_nuevoPPall>0){$identif=$id_nuevoPPall;}else{$identif=$pick['INVID'];}
			
			$sm="SELECT * FROM tabla_inventario where ID!='$identif' AND SKU='$pick[SKU]' AND CANTIDAD>0 AND EDO_CALIDAD='$estcalidad' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' $add2 $add3 ORDER BY FIELD(TIPO_UBICACION,'STOCK','PICKING','STAYING'),CANTIDAD DESC";
			//ECHO $sm; EXIT();
			$sl= mysql_query($sm);
			$msg="";
			$carga=0;
			if(mysql_numrows($sl)>0){
			//echo "<SCRIPT>alert('carg: $carga, cant: $cantidad')</SCRIPT>";
				while($stock=mysql_fetch_array($sl) AND ($carga<$cantidad)){
				$toma=0;
				$ncajas=0;
				$disponibles = $stock['CANTIDAD'];
				//echo "<SCRIPT>alert('$disponibles en la ubicacion $stock[UBICACION]')</SCRIPT>";
				
				if($disponibles>=($cantp-$carga)){
					$toma=floor(($cantp-$carga)/$pzasrep[0])*$pzasrep[0];
					//ECHO "<SCRIPT>alert('Se ')</SCRIPT>";
					//echo "<SCRIPT>alert('se tomaran $toma DE $disponibles DISP en la ubicacion $stock[UBICACION], cantp: $cantp, carga: $carga,pzasxcaja: $pzasrep[0]')</SCRIPT>";
					$ncajas=floor($toma/$pzasrep[0]);
					$carga+=$toma;
					if($pick['TIPO_RESURTIDO']=='Pieza'){$ncajas=$ncajas*$pzasrep[0];}
					if($toma>0){$tareas[$nt]=array('ID_REG'=>$stock['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stock['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>$pick['TIPO_RESURTIDO'].'s','CANTIDAD'=> $ncajas,'PIEZASXCAJA'=>$pzasrep[0],'PASILLO_ORIGEN'=> (strtok($stock['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=> (strtok("-")),'CVE_UBICACION_ORIGEN'=> $stock['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stock['DESCRIPCION']);$nt++;}
					}else{
					$toma=floor(($disponibles)/$pzasrep[0])*$pzasrep[0];
					$ncajas=floor($toma/$pzasrep[0]);
					$carga+=$toma;
					//echo "<SCRIPT>alert('se tomaran $toma DE $disponibles DISP en la ubicacion $stock[UBICACION], cantp: $cantp, carga: $carga,pzasxcaja: $pzasrep[0]')</SCRIPT>";
					if($pick['TIPO_RESURTIDO']=='Pieza'){$ncajas=$ncajas*$pzasrep[0];}
					if($toma>0){$tareas[$nt]=array('ID_REG'=>$stock['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stock['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>$pick['TIPO_RESURTIDO'].'s','CANTIDAD'=> $ncajas,'PIEZASXCAJA'=>$pzasrep[0],'PASILLO_ORIGEN'=> (strtok($stock['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=> (strtok("-")),'CVE_UBICACION_ORIGEN'=> $stock['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stock['DESCRIPCION']);$nt++;}
				}}}}}

				/////////Identificar el prefijo configurado
				$sqlIDE1 = mysql_query("select * from wms_configura_tarearesurtido WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlIDE1)>0){
				$registroIDE1=mysql_fetch_array($sqlIDE1);
				}
				if (mysql_numrows($sqlIDE1)>0)
				{
				$PrefijoPal=$registroIDE1["PREFIJO"];
				}
				$actualiz = 0;
				$err = 0;
				$X=0;
				
				foreach($tareas as $key=>$ta){
				//ECHO "<script>alert('$X tareas')</script>";
				if($tareas[$X]['CANTIDAD']==0){continue;}
				$enejecucion = mysql_query("select * from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND ESTADO='EN EJECUCION' AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				if (mysql_numrows($enejecucion)==0){
				
				$actualizar = mysql_query("SELECT ID from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND (ESTADO='EN ESPERA' OR ESTADO='EN ESPERA RESERVADO') AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				if(mysql_numrows($actualizar)>0){$actualiz+=1;}
				
				$enespera = mysql_query("delete from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND (ESTADO='EN ESPERA' OR ESTADO='EN ESPERA RESERVADO') AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				
					$FechaPallet = date('Ymd');					
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consedocrespick WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}

				/////Generador de Folio para guardar el consecutivo del Pallet
				$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocrespick"; 
				$libP2 = mysql_query($sqlIDP2); 
				$rs_libP2 = mysql_fetch_assoc($libP2); 
				$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
								
				/////Guardar en la BD el consecutivo del No. de Pallet
				$sqlGCP = "insert tabla_consedocrespick (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA) values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$ClavePallet','$FechaPallet')";
				$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());

				$w = "select max(ID) as LAST from tabla_resurtidopicking"; 
				$ss = mysql_query($w); 
				$hd = mysql_fetch_assoc($ss); 
				$maxid = $hd['LAST'] + 1;

				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				
				//generar tareas segun el surtido
				
				//ASIGNACION
				$tipo=$_GET['tipo'] or $tipo=$_POST['tipo'];
				if($tipo="A"){
					$mys = "INSERT INTO  tabla_resurtidopicking VALUES ('$maxid' ,'$CveBodCR1' ,'$CveCueCR1' ,'$ClavePallet' ,'".$tareas[$X]['PRIORIDAD']."' ,'EN ESPERA RESERVADO' , '".$tareas[$X]['PASILLO_ORIGEN']."' ,'".$tareas[$X]['LADO_ORIGEN']."' ,'".$tareas[$X]['POS_X_ORIGEN']."' ,'".$tareas[$X]['POS_Y_ORIGEN']."' , '".$tareas[$X]['CVE_UBICACION_ORIGEN']."' , '".$tareas[$X]['SKU']."' , '".$tareas[$X]['DESCRIPCION']."' , '".$tareas[$X]['REPOSICION']."' , '".$tareas[$X]['NO_PALLET']."' , '".$tareas[$X]['CANTIDAD']."' , '$UsuEn' ,'".date("Y/m/d")."' ,'$HoraOK' ,'".$tareas[$X]['PASILLO_DESTINO']."' ,'".$tareas[$X]['LADO_DESTINO']."' ,'".$tareas[$X]['POS_X_DESTINO']."' ,'".$tareas[$X]['POS_Y_DESTINO']."' ,'".$tareas[$X]['CVE_UBICACION_DESTINO']."' ,'' ,'' ,'' ,'0')";
					//CREAR TAREA REFERENCIANDO A $maxid
			
					////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
					////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CveCueCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					}
					
					//////++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//////	
					////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO. DE TAREA EN LA tabla_consetarea//////////
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					$HoraOK=date("H:i:s",time());
					$Fecha=date("Y/m/d");
					
					$sqlIDP2 = "select max(ID) as last from tabla_tareas WHERE CVE_CUENTA='$CveCueCR1'"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$newid = $rs_libP2['last'] + 1;
					
					if($tareas[$X]['REPOSICION']=='Cajas'){
					$repos = mysql_query("SELECT PZASXCAJA FROM tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND SKU='".$tareas[$X]['SKU']."'");
					$pzasrep=mysql_fetch_array($repos);
					//echo "<SCRIPT>alert('piezasxcaja: ".$pzasrep[0]."')</SCRIPT>";
					$cantidadxtds1 = $tareas[$X]['CANTIDAD']*$pzasrep[0];}else{
					$cantidadxtds1 = $tareas[$X]['CANTIDAD'];
					}
					
					if(isset($_GET['cxs'])){$cantxsrt=$_GET['cxs'];}else{$cantxsrt=$cantidad;}
					if($cantxsrt>$cantidadxtds1){$cantxtarea=$cantidadxtds1;}else{$cantxtarea=$cantxsrt;}
					if(($acum + $cantxtarea)>$cantxsrt){$cantxtarea=($cantxsrt-$acum);}
					$acum = $acum + $cantxtarea;
					//echo "<script>alert('subtotal: $cantxtarea, acumulado: $acum')</script>";
					$con="INSERT INTO  tabla_tareas VALUES ('$newid', '$CveBodCR1', '$CveCueCR1', '$No_Tarea', '$NoDocSuEn', '".$tareas[$X]['NO_PALLET']."', '$SkuAS', '$cantxsrt', '$cantxtarea', '0', '$maxid', 'POR EJECUTAR', '$UsuEn', '$Fecha', '$HoraOK', '', '', '', '$ubic', '100000', 'RESURTIDO', '$lote', '$lotep','')";
					$update=mysql_query($con,$conexion);
					//echo $con;exit();
					if($borrar){$borrar = mysql_query("DELETE FROM tabla_inventario WHERE ID='$id_nuevoPPall' AND CANTIDAD='0'");
						//echo "<script>alert('Borrando pallet temporal')</script>";
						}
					}
					//FLUJO CONTINUO
				if($tipo="F"){}
				//ECHO $mys;EXIT();
				$libP2 = mysql_query($mys);
				//if($libP2){echo "ok: $mys";exit();}else{echo "No se pudo ejecutar $mys";exit();}
				if(!$libP2){$err+=1;}
				}
				else{$err+=1;}
				$X++;
				}
				
				if( (($X-$err-$actualiz)>0) OR ($actualiz>0) ){
				//Ir a resurtir picking
				//preguntar a usuario, realizar resurtido ahora?
				echo "<script>if(confirm('Se han creado o actualizado tareas de resurtido, ¿Desea realizar el resurtido ahora?'))
				{window.location='5-Resurtidopicking.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$NoDocSuEn&EtMastKp=$EtMasterEn&sku=$SkuAS&ubic=$ubic&lote=$lote&lotep=$lotep&cambiaprio=$newid&ret=".(urlencode($ret))."';}
				else{window.location='5-SurtidoAsigna.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$NoDocSuEn&etiqueta=$EtMasterEn&ciclo=x';}</script>";
					}else{
				//generar una tarea si no se puede hacer un resurtido
				//echo "<script>alert('creartarea 3')</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoCreaTarea.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&pallet=$pallet&documento=$NoDocSuEn&etiqueta=$EtMasterEn&lote=$lote&lotep=$lotep&sku=$SkuAS&cantidad=$cantidad&back=".(urlencode("5-SurtidoAsigna.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$NoDocSuEn&etiqueta=$EtMasterEn&ciclo=x"))."'>";
				exit();
				}
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
		<p>Redireccionando...</p>
		<!--<a href='<?php echo "5-SurtidoContinuoFifo4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn";?>'><button>ok</button><a>
		<a href='<?php echo "5-SurtidoContinuoFifo6.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$NoDocSuEn&EtMastKp=$EtMasterEn&ubic=$ubic";?>'><button>retry</button><a>--!>
      <!-- Termina Cuerpo de la Pantalla -->		
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>